## FASTA version summary

`$Id: fasta_versions.html 5 2008-04-28 13:12:42Z pearson $`

April, 2008

Currently, there are four different versions of the FASTA programs that can be downloaded from the FASTA Software WWW site.

Here I try to explain the major differences.

Version | New Programs | Other changes
--- | --- | ---
fasta-35.3 | None | Ability to search subsets of databases using GI or accession lists

fasta-35

`+lalign35`
`+ggsearch35`
`+glsearch35`
`-prss3`
`-prfx3`

FASTA v35 provides significant improvements in statistical accuracy and program efficiency in threaded (multi-CPU, multi-core) environments. The program now automatically produces 500 random shuffles when small libraries are searched. Thus, `prss` and `prfx` are no longer required; `ssearch35` and `fastx35` provide the same function.

fasta34

`+ssearch3`
`+fasts3/tfasts3`
`+fastf3/tfastf3`
`-lfasta`
`-lalign`
`-tfasta`

FASTA v34 is the last version of the FASTA3 series before the significant changes introduced with FASTA v35. The FASTA v3 programs were first introduced in 1996, with threaded code for multi-processors, more accurate statistical estimates, and optimal Smith-Waterman alignments with `ssearch`. More recent versions (v34) provided accelerated Smith-Waterman searches using Altivec and SSE2 vector processors. FASTA v34 is no longer updated for bug fixes.

fasta2

`+lfasta`
`+tfasta`

FASTA v2 was introduced in 1995, improving sensitivity by calculated gapped alignment scores. Modern (V34 and V35) versions of FASTA have significantly more robust statistical estimates, threaded code, and vectorized Smith-Waterman, so FASTA v2 should not be used for database searching. However, until `lalign` was addeed to FASTA v35 in March, 2007, FASTA v2 was the only source for the `lalign` program. Today, the only programs provided in FASTA v2 that are not provided in FASTA v35 are the Kyte-Doolittle hydropathy plotter `grease` and the classic (though very inaccurate) secondary structure prediction programs `chofas` and `garnier`

The current stable version of the FASTA programs is version 35, and older releases of version 35 are available to make it easier for software packagers to work with a consistent version of the software. However, the CURRENT version of FASTA should be used whenever possible. Many bug reports reflect older versions of the software.

Description of minor changes: changes_v35.html